sysdecode_quotactl_cmd(3)

NAME
sysdecode_quotactl_cmd - output name of quotactl command

LIBRARY
libsysdecode

SYNOPSIS
#include <sys/types.h>
#include <stdbool.h>
#include <stdio.h>
#include <sysdecode.h>
bool
sysdecode_quotactl_cmd(FILE *fp, int cmd);

DESCRIPTION
The sysdecode_quotactl_cmd() function outputs a text description of the cmd argument to quotactl(2) to the stream fp. The description is formatted as an invocation of the QCMD macro defined in the <ufs/ufs/quota.h> header.

The function first computes the primary and secondary values used by QCMD to construct cmd. If the primary command value does not represent a known constant, sysdecode_quotactl_cmd() does not generate any output and returns false. Otherwise, sysdecode_quotactl_cmd() outputs text depicting an invocation of QCMD with the associated constants for the primary and secondary command values and returns true. If the secondary command values does not represent a known constant, its value is output as a hexadecimal integer.

RETURN VALUES
The sysdecode_quotactl_cmd function returns true if it outputs a description of cmd and false if it does not.

EXAMPLES
The statement

    sysdecode_quotatcl_cmd(stdout, QCMD(Q_GETQUOTA, USRQUOTA);

outputs the text “QCMD(Q_GETQUOTA, USRQUOTA)” to standard output.

SEE ALSO
sysdecode(3)